# Class CIM_ForwardingService
extends CIM_NetworkService

This class represents the functions used in forwarding network traffic. Its instances act on packets received from one or more ProtocolEndpoints or Services, and drop (discard), or send those packets to one or more other ProtocolEndpoints or Services. The explicit Endpoints being forwarded between, are described using the ForwardsAmong association (or one of its subclasses). Generally, the Endpoints are at the same protocol layer and are usually of similar types, or of the same type. ForwardingService is different than RouteCalculation Service in that it represents the function of forwarding traffic independent of calculating routing information. Examining the ForwardingService class definition, note that its superclass NetworkService is deprecated. Therefore, NetworkService's properties need not be implemented in an instance of ForwardingService. Unfortunately, NetworkService cannot be removed from the object hierarchy without a major Schema release. When/if this occurs, the NetworkService superclass will be removed, and ForwardingService will subclass from CIM_Service directly. Also note that there are a large number of additional protocols that are not currently modeled. These will be added over time.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_NetworkService
|
+--CIM_ForwardingService

## Direct Known Subclasses

CIM_SourceRoutingService
CIM_SpanningTreeService
CIM_SwitchService
CIM_TransparentBridgingService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class represents the functions used in forwarding network traffic. Its instances act on packets received from one or more ProtocolEndpoints or Services, and drop (discard), or send those packets to one or more other ProtocolEndpoints or Services. The explicit Endpoints being forwarded between, are described using the ForwardsAmong association (or one of its subclasses). Generally, the Endpoints are at the same protocol layer and are usually of similar types, or of the same type. ForwardingService is different than RouteCalculation Service in that it represents the function of forwarding traffic independent of calculating routing information. Examining the ForwardingService class definition, note that its superclass NetworkService is deprecated. Therefore, NetworkService's properties need not be implemented in an instance of ForwardingService. Unfortunately, NetworkService cannot be removed from the object hierarchy without a major Schema release. When/if this occurs, the NetworkService superclass will be removed, and ForwardingService will subclass from CIM_Service directly. Also note that there are a large number of additional protocols that are not currently modeled. These will be added over time.

UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherProtocolType | string |
Description | string | This defines the type of protocol that is being forwarded when the value of the ProtocolType attribute is 1 (i.e., "Other"). This provides for future extensibility.
MaxLen | uint32 | 32
ModelCorrespondence | string | CIM_ForwardingService.ProtocolType
ProtocolType | uint16 |
Description | string | This defines the type of protocol that is being forwarded.
ModelCorrespondence | string | CIM_ForwardingService.OtherProtocolType
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19
Values | string | Unknown, Other, IPv4, IPv6, IPv4/IPv6, IPX, AppleTalk, DECnet, SNA, CONP, CLNP, VINES, XNS, ATM, Frame Relay, Ethernet, TokenRing, FDDI, Infiniband, Fibre Channel

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
ServiceURL | string | CIM_NetworkService
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
Keywords | string[] | CIM_NetworkService
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StartupConditions | string[] | CIM_NetworkService
StartupParameters | string[] | CIM_NetworkService
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service